{************************************************************************}
{                                                                        }
{       Borland Delphi Visual Component Library                          }
{       InterBase Express core components                                }
{                                                                        }
{       Copyright (c) 1998-2001 Borland Software Corporation             }
{                                                                        }
{    InterBase Express is based in part on the product                   }
{    Free IB Components, written by Gregory H. Deatz for                 }
{    Hoagland, Longo, Moran, Dunst & Doukas Company.                     }
{    Free IB Components is used under license.                           }
{                                                                        }
{    The contents of this file are subject to the InterBase              }
{    Public License Version 1.0 (the "License"); you may not             }
{    use this file except in compliance with the License. You may obtain }
{    a copy of the License at http://www.borland.com/interbase/IPL.html  }
{    Software distributed under the License is distributed on            }
{    an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either              }
{    express or implied. See the License for the specific language       }
{    governing rights and limitations under the License.                 }
{    The Original Code was created by InterBase Software Corporation     }
{       and its successors.                                              }
{    Portions created by Borland Software Corporation are Copyright      }
{       (C) Borland Software Corporation. All Rights Reserved.           }
{    Contributor(s): Jeff Overcash                                       }
{                                                                        }
{************************************************************************}

unit IBXConst;

interface

uses IBUtils;

const
  IBX_Version = 6.03;

resourcestring
{ generic strings used in code }
  SIBDatabaseEditor = 'Editor de Da&tabase...';
  SIBTransactionEditor = 'Editor de &Transao...';
  SDatabaseFilter = 'Arquivos da DataBase(*.gdb)|*.gdb|Todos os arquivos (*.*)|*.*';
  SDisconnectDatabase = 'A Database est atualmente conectada. Deseja desconectar e continuar?';
  SCommitTransaction = 'Uma transao est atualmente ativa. Deseja descarregar e continuar?';
  SExecute = 'E&xecutar';
  SNoDataSet = 'Nenhuma associao a dataset';
  SSQLGenSelect = ' necessrio selecionar na lista um campo chave e um campo atualizar';
  SSQLNotGenerated = 'A atualizao dos SQL statements no foi gerada, sair mesmo assim?';
  SIBUpdateSQLEditor = 'Editor de &UpdateSQL ...';
  SIBDataSetEditor = 'Editor de &Dataset...';
  SSQLDataSetOpen = 'Impossvel determinar os nomes do campo para %s';
  SDefaultTransaction = '%s, Padro';

{ strings used in error messages}
  SUnknownError = 'Erro desconhecido';
{$IFDEF MSWINDOWS}
  SInterBaseMissing = 'Biblioteca gds32.dll do InterBase no encontrada no caminho. Por favor re-instale o InterBase';
{$ENDIF}
{$IFDEF LINUX}
  SInterBaseMissing = 'Biblioteca gds.so.0 do InterBase no encontrada no caminho. Por favor re-instale o InterBase';
{$ENDIF}
  SInterBaseInstallMissing = 'Biblioteca ibinstall.dll do InterBase no encontrada no caminho. Por favor re-instale o InterBase 6';
  SIB60feature = '%s  uma funo do InterBase 6. Por favor atualize para o InterBase 6 para poder us-la';
  SNotSupported = 'Caracteristica no suportada';
  SNotPermitted = 'No permitida';
  SFileAccessError = 'Erro no acesso ao arquivo temporrio';
  SConnectionTimeout = 'Tempo esgotado para a conexo ao Database';
  SCannotSetDatabase = 'Impossvel registrar database';
  SCannotSetTransaction = 'Impossvel registrar transaao';
  SOperationCancelled = 'Operao cancelada pelo usurio';
  SDPBConstantNotSupported = 'DPB Constante (isc_dpb_%s) no  suportada';
  SDPBConstantUnknown = 'DPB Constante (%d)  desconhecida';
  STPBConstantNotSupported = 'TPB Constante (isc_tpb_%s) no  suportada';
  STPBConstantUnknown = 'TPB Constante (%d)  desconhecida';
  SDatabaseClosed = 'Impossvel completar operao -- DB no est aberto';
  SDatabaseOpen = 'Impossvel completar operao -- DB est atualmente aberto';
  SDatabaseNameMissing = 'O nome do Database esta faltando';
  SNotInTransaction = 'Transao no est ativa';
  SInTransaction = 'Transao est ativa';
  STimeoutNegative = 'Valores de Timeout no podem ser negativos';
  SNoDatabasesInTransaction = 'Nenhuma Database est listada no componente de transao';
  SUpdateWrongDB = 'Atualizando database errada';
  SUpdateWrongTR = 'Atualizando transao errada. A nica transao esperada em indicao';
  SDatabaseNotAssigned = 'Database no indicada';
  STransactionNotAssigned = 'Transaction no indicada';
  SXSQLDAIndexOutOfRange = 'Indice XSQLDA est fora de faixa';
  SXSQLDANameDoesNotExist = 'Nome do XSQLDA no existe (%s)';
  SEOF = 'Fim do Arquivo';
  SBOF = 'Inicio do Arquivo';
  SInvalidStatementHandle = 'Declarao de handle invlida';
  SSQLOpen = 'IBSQL Aberto';
  SSQLClosed = 'IBSQL Fechado';
  SDatasetOpen = 'Dataset aberto';
  SDatasetClosed = 'Dataset fechado';
  SUnknownSQLDataType = 'SQL Data type desconhecido (%d)';
  SInvalidColumnIndex = 'Indice de coluna invlido (Indice excede faixa permitida)';
  SInvalidParamColumnIndex = 'Indice de parametro invlido (Indice excede faixa permitida)';
  SInvalidDataConversion = 'Converso de dados invlida';
  SColumnIsNotNullable = 'A coluna no pode ser nula (%s)';
  SBlobCannotBeRead = 'Blob Stream no pode ser lido';
  SBlobCannotBeWritten = 'Blob stream no pode ser escrito';
  SEmptyQuery = 'Query vazia';
  SCannotOpenNonSQLSelect = 'Impossvel "abrir" uma transao no selecionada. Use ExecQuery';
  SNoFieldAccess = 'Sem acesso ao campo "%s"';
  SFieldReadOnly = 'Campo "%s"  somente-para-leitura';
  SFieldNotFound = 'Campo "%s" no encontrado';
  SNotEditing = 'No est no modo de edio';
  SCannotInsert = 'Impossvel inserir no dataset. (No insere  query)';
  SCannotPost = 'Impossvel postar. (No atualiza/insere query)';
  SCannotUpdate = 'Impossvel atualizar. (No atualiza query)';
  SCannotDelete = 'Impossvel apagar do dataset. (No apaga query)';
  SCannotRefresh = 'Impossvel recarregar. (No recarrega query)';
  SBufferNotSet = 'Buffer no definido';
  SCircularReference = 'Referncias circulares no so permitidas';
  SSQLParseError = 'Erro do SQL Parse:' + CRLF + CRLF + '%s';
  SUserAbort = 'Usurio cancelou';
  SDataSetUniDirectional = 'Dataset  uni-direcional';
  SCannotCreateSharedResource = 'Impossvel criar recurso compartilhado. (Erro do Windows %d)';
  SWindowsAPIError = 'Erro da API do Windows. (Erro do Windows %d [$%.8x])';
  SColumnListsDontMatch = 'Lista de colunas no encontrada';
  SColumnTypesDontMatch = 'Tipos de colunas no encontrado. (Do indice: %d; at o indice: %d)';
  SCantEndSharedTransaction = 'Impossvel finalizar transao compartilhada enquanto ela  forada e igual ' +
                             'a TimeoutAction da transao';
  SFieldUnsupportedType = 'Tipo de campo no suportado';
  SCircularDataLink = 'Referencia circular de DataLink';
  SEmptySQLStatement = 'SQL Statement vazio';
  SIsASelectStatement = 'use Abrir para uma declarao selecionada';
  SRequiredParamNotSet = 'Valor do parametro requerido no definido';
  SNoStoredProcName = 'Stored Procedure Name no foi definido';
  SIsAExecuteProcedure = 'use ExecProc para proceder; use TQuery para selecionar procedimentos';
  SUpdateFailed = 'A Atualizao falhou';
  SNotCachedUpdates = 'CachedUpdates no ativa';
  SNotLiveRequest = 'Requerimento no est ativo - impossvel modificar';
  SNoProvider = 'Nenhum Provedor';
  SNoRecordsAffected = 'Nenhum Registro Afetado';
  SNoTableName = 'Nenhum nome de tabela definido';
  SCannotCreatePrimaryIndex = 'Impossvel criar Indice Primrio; Eles so criados automaticamente';
  SCannotDropSystemIndex = 'Impossvel soltar Indice do Sistema';
  STableNameMismatch = 'Combinao de Nome da tabela invlido';
  SIndexFieldMissing = 'Campo indice faltando';
  SInvalidCancellation = 'Impossvel cancelar eventos enquanto processando';
  SInvalidEvent = 'Evento invlido';
  SMaximumEvents = 'Limite mximo de eventos excedido';
  SNoEventsRegistered = 'No h eventos registrados';
  SInvalidQueueing = 'Enfileiramento invlido';
  SInvalidRegistration = 'Registro invlido';
  SInvalidBatchMove = 'Lote de movimentos invlido';
  SSQLDialectInvalid = 'Dialeto SQL invlido';
  SSPBConstantNotSupported = 'Constante SPB no suportado';
  SSPBConstantUnknown = 'Constante SPB desconhecida';
  SServiceActive = 'Impossvel completar operao -- servio no est anexado';
  SServiceInActive = 'Impossvel completar operao -- servio est anexado';
  SServerNameMissing = 'Nome do Servidor faltando';
  SQueryParamsError = 'Parametros da Query faltando ou incorretos';
  SStartParamsError = 'Parametros iniciais faltando ou incorretos';
  SOutputParsingError = 'Valor de saida do buffer no esperado';
  SUseSpecificProcedures = 'ServiceStart generico no aplicvel: Use procedimentos especificos para definir os parametros de configurao';
  SSQLMonitorAlreadyPresent = 'Instancia do SQL Monitor j existe';
  SCantPrintValue = 'Impossvel imprimir valor';
  SEOFReached = 'SEOFReached';
  SEOFInComment = 'EOF em comentrio detectado';
  SEOFInString = 'EOF em string detectado';
  SParamNameExpected = 'Nome do parametro esperado';
  SSuccess = 'Execuo completada com sucesso';
  SDelphiException = 'DelphiException %s';
  SNoOptionsSet = 'No h Opes de Instalao selecionadas';
  SNoDestinationDirectory = 'O Diretorio de destino no foi definido';
  SNosourceDirectory = 'O Diretorio de origem no foi definido';
  SNoUninstallFile = 'O nome do arquivo de desinstalo no foi definido';
  SOptionNeedsClient = 'O componente %s requer um Cliente para funcionar corretamente';
  SOptionNeedsServer = 'O componente %s requer um Servidor para funcionar corretamente';
  SInvalidOption = 'Opo especificada invlida';
  SInvalidOnErrorResult = 'Valor de retorno de onError no esperado';
  SInvalidOnStatusResult = 'Valor de retorno de onStatus no esperado';

  SInterbaseExpressVersion = 'InterbaseExpress 4.3';
  SEditSQL = 'Editar SQL';
  SDPBConstantUnknownEx = 'A constante DPB (%s)  desconhecida';
  STPBConstantUnknownEx = 'A constante TPB (%s)  desconhecida';
  SInterbaseExpressVersionEx = 'InterbaseExpress %g';
  SUnknownPlan = 'Erro desconhecido - Impossvel recriar plano';
  SFieldSizeMismatch = 'Combinao de tamanho invlido - Tamanho do Campo %s  muito pequeno para os dados';
  SEventAlreadyRegistered   = 'Estes eventos j foram registrados';
  SStringTooLarge = 'Tentando guardar uma string de tamanho %d em um campo que somente contm %d';
  SIBServiceEditor = 'Editor de &Servios...';
  SIBSuccessConnect = 'Conexo concluda com sucesso';
  SNoTimers = 'Nemhum timer disponvel';
  SIB65feature = '%s  uma funo do Interbase 6.5. Por favor atualize para o Interbase 6.5 para utilizar essa funcionalidade';
  SLoginPromptFailure = 'No foi possvel localizar o dilogo de login. Por favor adicione DBLogDlg para a sesso uses do seu arquivo principal.';
  SIBMemoryError = 'Falta de memria';

implementation

end.
