{*******************************************************}
{                                                       }
{       Borland Delphi Visual Component Library         }
{                                                       }
{   Copyright (c) 2001 Borland Software Corporation     }
{                                                       }
{*******************************************************}

unit SiteConst;

interface

resourcestring

  // Adapter errors
  sFieldRequiresAValue = 'Campo %s requer um valor';
  sFieldDoesNotAllowMultipleValues = '%s no suporta multiplos valores';
  sFieldDoesNotAllowMultipleFiles = '%s no suporta multiplos arquivos';
  sFieldRequiresAFile = '%s requer um arquivo';
  sFieldModificationNotPermitted = 'Modificao de %s no  permitida';
  sActionExecutionNotPermitted = 'Execuo da ao %s no  permitida';
  sFieldViewNotPermitted = 'Visualizao do campo no  permitida';
  sAdapterModificationNotPermitted = 'Modificao de Dados no  permitida';
  sFileUploadNotSupported = '%s no suporta Upload de arquivo';
  sNoLoginPage = 'Pgina de Login no est definida';
  sPageNotFound = 'Pgina Web no encontrada: %s';
  sPageContentNotProvided = 'Pgina Web no possui contedo';
  sImageNotProvided = 'Campo %s no contm uma imagem';

  // DataSetAdapter errors
  sUnknownAdapterMode = 'Modo "Unknown Adapter": %s';
  sNilAdapterDataSet = 'DataSet  nulo(nil)';
  sAdapterRowNotFound = 'Fila no encontrada em %s';
  sFieldChangedByAnotherUser = 'O campo %s foi modificado por outro usurio';
  sAdapterFieldNotFound = 'Campo no encontrado: %s';
  sDataSetPropertyIsNil = '%s: Propriedade DataSet  nulo(nil)';
  sDataSetUnknownKeyFields = '%0:s: Dataset %1:s CamposChaves desconhecidos';
  sDataSetNotActive = '%0:s: Dataset %1:s no est ativa';
  sValueFieldIsBlank = '%0:s: Propriedade ValueField est vazia';

  // XSLPageProducer errors
  SNoXMLData = 'Faltando componente de Dados XML';
  SNoXMLDocument = 'Impossvel criar XMLDocument';

  // Add Adapter Fields Editor
  sAddAdapterData = 'Adicionar Campos...';
  sAddAllAdapterData = 'Adicionar Todos os Campos';
  sAddAdapterDataDlgCaption = 'Adicionar Campos';
  sAddAdapterActions = 'Adicionar Aes...';
  sAddAllAdapterActions = 'Adicionar Todas as Aes';
  sAddAdapterActionsDlgCaption = 'Adicionar Aes';
  sAdapterActionsPrefix = 'Ao'; // Do not location
  sAddCommands = 'Adicionar Comandos...';
  sAddAllCommands = 'Adicionar Todos os Comandos';
  sAddCommandsDlgCaption = 'Adicionar Comandos';
  sAddColumns = 'Adicionar Colunas...';
  sAddAllColumns = 'Adicionar Todas as Colunas';
  sAddColumnsDlgCaption = 'Adicionar Colunas';
  sAddFieldItems = 'Adicionar Campos...';
  sAddAllFieldItems = 'Adicionar Todos os Campos';
  sAddFieldItemsDlgCaption = 'Adicionar Campos';


  // SitePageProducer errors
  sAdapterPropertyIsNil =  '%s: Propriedade Adapter  nula(nil)';
  sAdapterFieldNameIsBlank = '%s: Fieldname est vazio';
  sCantFindAdapterField = '%0:s: Campo %1:s no encontrado em Adapter associado';    // 0 - Component name, 1 - Adapter Field name
  sAdapterActionNameIsBlank = '%s: Actionname est vazio';
  sCantFindAdapterAction = '%0:s: Ao %1:s no encontrado em Adapter associado';   // 0 - Component name, 1 - Adapter Action name
  sDisplayComponentPropertyIsNil = '%s: Propriedade DisplayComponent  nulo(nil)';


  sNoHandler = 'Nenhum manipulador de pedido dirigiu este pedido' +
    'The WebAppComponents PageDispatcher, AdapterDispatcher or DispatchActions property may not be set.';


  // LoginAdapter validation
  sBlankPassword = 'A "Senha" no pode estar vazia';
  sBlankUserName = 'O "Nome de Usurio" no pode estar vazio';

  // Dispatcher errors
  sAdapterRequestNotHandled = 'Adapter Request not handled: %0:s, %1:s';    // 0 - Request identifier, 1 - object identifier
  sDispatchBlankPageName = 'Dispachando nome de pgina em branco';
  sPageAccessDenied = 'Acesso a pgina negado';
  sPageDoesNotSupportRedirect = 'Pginas Web no suporta redirecionamento';

  // Include errors
  sCantFindIncludePage = 'Impossvel localziar pgina includa: %s';
  sInclusionNotSupported = 'Pagina %s no suporta incluso';
  sRecursiveIncludeFile = 'Arquivo incluido %s, inclui ele mesmo';

  // DB Image errors
  sIncorrectImageFormat = 'Formato de imagem incorreto (%s) pelo campo %%s';
  sFileExpected = 'Arquivo copiado esperado pelo campo %s';

  // WebUserList names - must be valid identifiers
  sWebUserName = 'Nome de usurio';
  sWebUserPassword = 'Senha';
  sWebUserAccessRights = 'Acessos corretos';

  // WebUserList errors
  sUserIDNotFound = 'UserID no encontrado';
  sInvalidPassword = 'Senha invalida';
  sMissingPassword = 'Senha faltando';
  sUnknownUserName = 'Nome de usurio desconhecido';
  sMissingUserName = 'Nome de usurio faltando';


  // Script errors
  sCannotCreateScriptEngine = 'Impossvel criar Engine de Script: %s.  Erro: %x'; 
  sCannotInitializeScriptEngine = 'No possa inicializar nenhuma script engine';
  sScriptEngineNotFound = 'Script engine no encontrada: %s.';
  sObjectParameterExpected = 'Objeto Script esperado';
  sIntegerParameterExpected = 'Paramentro Inteiro esperado';
  sUnexpectedParameterType = 'Tipo de parametro no esperado';
  sUnexpectedResultType = 'Tipo de retorno no esperado';
  sDuplicatePrototypeName = 'Prototype name duplicado';
  sBooleanParameterExpected = 'Parmetro Boleano esperado';
  sDoubleParameterExpected = 'Parmetro tipo Double esperado';
  sUnexpectedScriptError = 'Erro inesperado de script';
  

  // 0 - Error index number
  // 1 - Error description
  // 2 - Line number
  // 3 - character position number
  // 4 - source line text
  sScriptErrorTemplate =
      '<table width="95%%" border="1" cellspacing="0" bordercolor="#C0C0C0">'#13#10 +
        '<tr>'#13#10 +
          '<td colspan=2>'#13#10 +
            '<font color="#727272"><b>Error[' +  '%0:d' + ']:</b> '#13#10 +
            '%1:s'#13#10 +
            '</font>'#13#10 +
          '</td>'#13#10 +
        '</tr>'#13#10 +
        '<tr>'#13#10 +
          '<td>'#13#10 +
            '<font color="#727272"><b>Line:</b> '#13#10 +
            '%2:d'#13#10 +
            '</font>'#13#10 +
          '</td>'#13#10 +
          '<td>'#13#10 +
            '<font color="#727272"><b>Position:</b> '#13#10 +
            '%3:d'#13#10 +
            '</font>'#13#10 +
          '</td>'#13#10 +
        '</tr>'#13#10 +
        (* Don't display source text 
        '<tr>'#13#10 +
          '<td colspan=2>'#13#10 +
            '<font color="#727272"><b>Source Text:</b> '#13#10 +
        '%4:s'#13#10 +
            '</font>'#13#10 +
          '</td>'#13#10 +
        '</tr>'#13#10 +
        *)
        '</table>'#13#10;

  sMaximumSessionsExceeded = 'Nmero maximo de sesses exedida';
  sVariableNotFound = 'Variavel no encontrado: %s';
  sComponentDoesNotSupportScripting = 'Componente no suporta scripts. Classe: %0:s, Name: %1:s';
  sClassDoesNotSupportScripting = 'Objeto no suporta scripts. Classe: %0:s';
  sParameterExpected = 'Parmetro esperado';
  sStringParameterExpected = 'Parametro tipo String esperado';
  sInvalidImageSize = 'Imagem Invlida (O tamanho  menor que 4 bytes longos).';

  // File include errors 
  sIncDblQuoteError = 'Arquivo contm erro na linha %d: esperando "';
  sIncEqualsError = 'Arquivo contm erro na linha %d: esperando =';
  sIncTypeError = 'Arquivo contm erro na linha %d: esperando virtual, arquivo, ou pgina, mais encontrado %s.';

implementation

end.
