{ *********************************************************************** }
{                                                                         }
{ Delphi / Kylix Cross-Platform Runtime Library                           }
{                                                                         }
{ Copyright (c) 1995, 2001 Borland Software Corporation                   }
{                                                                         }
{ *********************************************************************** }

unit SysConst;                                   

interface

resourcestring
  SUnknown = '<desconhecido>';
  SInvalidInteger = '''%s'' no  um valor Inteiro vlido';
  SInvalidFloat = '''%s'' no  um valor de Ponto Flutuante vlido';
  SInvalidCurrency = '''%s'' no  um valor Currency vlido';
  SInvalidDate = '''%s'' no  uma Data vlida';
  SInvalidTime = '''%s'' no  um Horrio vlido';
  SInvalidDateTime = '''%s'' no so um valor de data e horrio vlidos';
  SInvalidDateTimeFloat = '''%g'' no so um valor de data e horrio vlidos';
  SInvalidTimeStamp = '''%d.%d'' no  um valor de Marca de Tempo(timestamp) vlido';
  SInvalidGUID = '''%s'' no  um valor GUID';
  SInvalidBoolean = '''%s'' no  um valor Boolean vlido';
  STimeEncodeError = 'Argumento invlido para codificao de horrio';
  SDateEncodeError = 'Argumento invlido para codificao de data';
  SOutOfMemory = 'Sem memria';
  SInOutError = 'Erro I/O %d';
  SFileNotFound = 'Arquivo no encontrado';
  SInvalidFilename = 'Nome de arquivo invlido';
  STooManyOpenFiles = 'Existem muitos arquivos abertos';
  SAccessDenied = 'Acesso ao arquivo negado';
  SEndOfFile = 'A leitura ultapassou o Fim do Arquivo(EOF)';
  SDiskFull = 'Disco cheio';
  SInvalidInput = 'Valor numerico inserido invlido';
  SDivByZero = 'Diviso por zero';
  SRangeError = 'Erro de checagem de faixa';
  SIntOverflow = 'Extravasamento de valor inteito';
  SInvalidOp = 'Operao de Ponto Flutuante invlido';
  SZeroDivide = 'Diviso por zero de Ponto Flutuante';
  SOverflow = 'Extravasamento de valor de Ponto Flutuante';
  SUnderflow = 'Sub-carregamento de valor de Ponto Flutuante';
  SInvalidPointer = 'Operao de ponteiro invlido';
  SInvalidCast = 'Typecast de Classe invlido';
{$IFDEF MSWINDOWS}
  SAccessViolation = 'Violao de accesso no endereo %p. %s do endereo %p';
{$ENDIF}
{$IFDEF LINUX}
  SAccessViolation = 'Violao de accesso no endereo %p, acessando endereo %p';
{$ENDIF}
  SStackOverflow = 'Extravasamento da pilha';
  SControlC = 'Control-C pressionada';
  SQuit = 'Tecla Quit pressionada';
  SPrivilege = 'Instrues de privilgio';
  SOperationAborted = 'Operao abortada';
  SException = 'Exceo %s no modulo %s not %p.'#$0A'%s%s';
  SExceptTitle = 'Erro do aplicativo';
{$IFDEF LINUX}
  SSigactionFailed = 'A chamada a sigaction falhou';
{$ENDIF}
  SInvalidFormat = 'O formato ''%s''  invalido ou incompativel com o argumento';
  SArgumentMissing = 'Nenhum argumento para formato ''%s''';
  SDispatchError = 'Metodo de chamada variante no suportada';
  SReadAccess = 'Ler';
  SWriteAccess = 'Gravar';
  SResultTooLong = 'O formato do resultado  maior que 4096 caracteres';
  SFormatTooLong = 'String de formato muito longa';
  
  SVarArrayCreate = 'Erro criando array do tipo variant';
  SVarArrayBounds = 'ndice de array do tipo variant fora dos limites';
  SVarArrayLocked = 'Array Variant est travado';

  SInvalidVarCast = 'Tipo de Converso Variant invlido';
  SInvalidVarOp = 'Operao Variant Invlida';
  SInvalidVarOpWithHResult = 'Operao Variant Invlida ($%.8x)';

  SVarNotArray = 'Variant no  um array' deprecated; // use SVarInvalid
  SVarTypeUnknown = 'Tipo de "custom variant" desconhecido (%.4x)' deprecated; // not used anymore

  SVarTypeOutOfRange = 'Tipo "Custom variant" (%.4x) est fora da faixa';
  SVarTypeAlreadyUsed = 'Tipo "Custom variant" (%.4x) est sendo usado por %s';
  SVarTypeNotUsable = 'Tipo "Custom variant" (%.4x) no  utilizvel';
  SVarTypeTooManyCustom = 'Muitos "Custom variant" foram registrados';

  SVarTypeCouldNotConvert = 'Could not convert variant of type (%s) into type (%s)';
  SVarTypeConvertOverflow = 'Overflow while converting variant of type (%s) into type (%s)';
  SVarOverflow = 'Variant overflow';
  SVarInvalid = 'Invalid argument';
  SVarBadType = 'Invalid variant type';
  SVarNotImplemented = 'Operation not supported';
  SVarOutOfMemory = 'Variant operation ran out memory';
  SVarUnexpected = 'Unexpected variant error';

  //OUT 
  {SVarTypeUnknown = 'Tipo variant personalizado invlido ($.4x)';
  SVarTypeOutOfRange = 'Tipo variant personalizado ($.4x) est fora de faixa';
  SVarTypeAlreadyUsed = 'Tipo variant personalizado (%.4x) j est sendo usado por %s';
  SVarTypeNotUsable = 'Tipo variant personalizado (%.4x) no  utilzavel';
  SVarTypeTooManyCustom = 'Muitos tipos variant personalizados foram registrados';
  }

  SVarDataClearRecursing = 'Recurso enquanto realizando um VarDataClear';
  SVarDataCopyRecursing = 'Recurso enquanto realizando um VarDataCopy';
  SVarDataCopyNoIndRecursing = 'Recurso enquanto realizando um VarDataCopyNoInd';
  SVarDataInitRecursing = 'Recurso enquanto realizando um VarDataInit';
  SVarDataCastToRecursing = 'Recurso enquanto realizando um VarDataCastTo';
  SVarIsEmpty = 'Variant est vazia';
  sUnknownFromType = 'Impossvel converter do tipo especificado';
  sUnknownToType = 'Impossvel converter para o tipo especificado';
  SExternalException = 'Exceo externa %x';
  SAssertionFailed = 'Falha de assero';
  SIntfCastError = 'Interface no suportada';
  SSafecallException = 'Exceo em mtodo de chamada segura'; 
  SAssertError = '%s (%s, linha %d)';
  SAbstractError = 'Erro Abstrato';
  SModuleAccessViolation = 'Violao de accesso no endereo %p no modulo ''%s''. %s do endereo %p';
  SCannotReadPackageInfo = 'Impossvel accessar pacote de informaes para pacote ''%s''';
  sErrorLoadingPackage = 'Impossver ler pacote %s.'+sLineBreak+'%s';
  SInvalidPackageFile = 'Arquivo de pacote ''%s'' invlido';
  SInvalidPackageHandle = 'Handle de pacote invlido';
  SDuplicatePackageUnit = 'Impossver ler pacote ''%s.''  Ele contm a unit ''%s,''' +
    'que est contida no pacote ''%s''';
  SOSError = 'Erro do Sistema.  Cdigo: %d.'+sLineBreak+'%s';
  SUnkOSError = 'Uma chamada a uma funo do SO falhou';
{$IFDEF MSWINDOWS}
  SWin32Error = 'Erro Win32.  Cdigo: %d.'#10'%s' deprecated; // use SOSError
  SUnkWin32Error = 'Uma funo da API Win32 falhou' deprecated; // use SUnkOSError
{$ENDIF}
  SNL = 'Este aplicativo no est licensiado a usar esta ferramenta';

  SConvIncompatibleTypes2 = 'Converso de tipos incompatveis [%s, %s]';
  SConvIncompatibleTypes3 = 'Converso de tipos incompatveis [%s, %s, %s]';
  SConvIncompatibleTypes4 = 'Converso de tipos incompatveis [%s - %s, %s - %s]';
  SConvUnknownType = 'Tipo de converso desconhecido %s';
  SConvDuplicateType = 'Tipo de converso (%s) j foi registrada';
  SConvUnknownFamily = 'Familia de converso %s desconhecida';
  SConvDuplicateFamily = 'Familia de converso (%s) j foi registrada';
  SConvUnknownDescription = '[%.8x]';
  SConvIllegalType = 'Tipo Ilegal';
  SConvIllegalFamily = 'Familia Ilegal';
  SConvFactorZero = '%s tem um fator de zero';

  SShortMonthNameJan = 'Jan';
  SShortMonthNameFeb = 'Fev';
  SShortMonthNameMar = 'Mar';
  SShortMonthNameApr = 'Abr';
  SShortMonthNameMay = 'Mai';
  SShortMonthNameJun = 'Jun';
  SShortMonthNameJul = 'Jul';
  SShortMonthNameAug = 'Ago';
  SShortMonthNameSep = 'Set';
  SShortMonthNameOct = 'Out';
  SShortMonthNameNov = 'Nov';
  SShortMonthNameDec = 'Dez';

  SLongMonthNameJan = 'Janeiro';
  SLongMonthNameFeb = 'Fevereiro';
  SLongMonthNameMar = 'Maro';
  SLongMonthNameApr = 'Abril';
  SLongMonthNameMay = 'Maio';
  SLongMonthNameJun = 'Junho';
  SLongMonthNameJul = 'Julho';
  SLongMonthNameAug = 'Agosto';
  SLongMonthNameSep = 'Setembro';
  SLongMonthNameOct = 'Outubro';
  SLongMonthNameNov = 'Novembro';
  SLongMonthNameDec = 'Dezembro';

  SShortDayNameSun = 'Dom';
  SShortDayNameMon = 'Seg';
  SShortDayNameTue = 'Ter';
  SShortDayNameWed = 'Qua';
  SShortDayNameThu = 'Qui';
  SShortDayNameFri = 'Sex';
  SShortDayNameSat = 'Sab';

  SLongDayNameSun = 'Domingo';
  SLongDayNameMon = 'Segunda';
  SLongDayNameTue = 'Tera';
  SLongDayNameWed = 'Quarta';
  SLongDayNameThu = 'Quinta';
  SLongDayNameFri = 'Sexta';
  SLongDayNameSat = 'Sbado';

{$IFDEF LINUX}
  SEraEntries = '';
{$ENDIF}

  SCannotCreateDir = 'Impossvel criar diretrio';

implementation

end.
